compression = 1.0
def costume_bone_name_list():
    global bns,bqr,locs,compression,bone_parent_list
    bone_parent_list = []
    bone_parent_list += [-1]
    bone_parent_list += [ 0]
    bone_parent_list += [ 1]
    bone_parent_list += [ 2]
    bone_parent_list += [ 3]
    bone_parent_list += [ 3]
    bone_parent_list += [ 5]
    bone_parent_list += [ 6]
    bone_parent_list += [ 7]
    bone_parent_list += [ 8]
    bone_parent_list += [ 9]
    bone_parent_list += [ 8]
    bone_parent_list += [11]
    bone_parent_list += [ 3]
    bone_parent_list += [13]
    bone_parent_list += [14]
    bone_parent_list += [15]
    bone_parent_list += [16]
    bone_parent_list += [17]
    bone_parent_list += [16]
    bone_parent_list += [19]
    bone_parent_list += [ 0]
    bone_parent_list += [21]
    bone_parent_list += [22]
    bone_parent_list += [23]
    bone_parent_list += [ 0]
    bone_parent_list += [25]
    bone_parent_list += [26]
    bone_parent_list += [27]
    bone_parent_list += [ 4]    
 #
 # make  a list of bone names in order
 #
    bns = []
    bns += ['root']                  #      0
    bns += ['lowgut']                #      1
    bns += ['gut']                   #      2
    bns += ['chest']                 #      3             
    bns += ['neck']                  #      4
    bns += ['control2_arm_r']        #      5
    bns += ['arm_r']                 #      6
    bns += ['forearm_r']             #      7
    bns += ['hand_r']                #      8
    bns += ['fingers_r']             #      9
    bns += ['fingers2_r']            #     10
    bns += ['thumb_r']               #     11
    bns += ['thumb2_r']              #     12
    bns += ['control2_arm_l']        #     13
    bns += ['arm_l']                 #     14
    bns += ['forearm_l']             #     15
    bns += ['hand_l']                #     16
    bns += ['fingers_l']             #     17
    bns += ['fingers2_l']            #     18
    bns += ['thumb_l']               #     19
    bns += ['thumb2_l']              #     20
    bns += ['leg_r']                 #     21
    bns += ['shin_r']                #     22
    bns += ['foot_r']                #     23
    bns += ['toes_r']                #     24
    bns += ['leg_l']                 #     25
    bns += ['shin_l']                #     26
    bns += ['foot_l']                #     27
    bns += ['toes_l']                #     28
    bns += ['head']                  #     29
    
# transforms for each costume bone to TMG rest pose
# Computed using mesh data 
    bqr = []
    locs = []
    bqr += [[  0.4999990, -0.5000010, -0.5000000,  0.5000000 ]] # root
    locs += [[  0.0000000,  0.0000000,  0.9229630 ]] 
    bqr += [[  0.9958690,  0.0908013,  0.0000008,  0.0000003 ]] # lowgut
    locs += [[  0.0460090, -0.0000001,  0.0000000 ]] 
    bqr += [[  0.9975380, -0.0701280,  0.0000017, -0.0000001 ]] # gut
    locs += [[  0.1273265,  0.0000001, -0.0000001 ]] 
    bqr += [[  0.9980659, -0.0621644,  0.0000006, -0.0000004 ]] # chest
    locs += [[  0.1214164, -0.0000001, -0.0000000 ]] 
    bqr += [[  0.9882573,  0.1527992,  0.0000080, -0.0000008 ]] # neck
    locs += [[  0.3592235,  0.0000000,  0.0000004 ]] 
    bqr += [[  0.4788454,  0.5202956,  0.4788428, -0.5202971 ]] # control2_arm_r
    locs += [[  0.2909568,  0.0216464,  0.1869594 ]] 
    bqr += [[  0.0187336, -0.0181578,  0.6944251, -0.7190918 ]] # arm_r
    locs += [[ -0.0000010,  0.0000000,  0.0000000 ]] 
    bqr += [[  0.9994791,  0.0301234,  0.0115769, -0.0001942 ]] # forearm_r
    locs += [[  0.2988637,  0.0000019,  0.0000020 ]] 
    bqr += [[  0.6911681, -0.0043109, -0.7222170, -0.0258964 ]] # hand_r
    locs += [[  0.2343695,  0.0000033,  0.0000026 ]] 
    bqr += [[  0.9896261, -0.1432671,  0.0105740, -0.0016771 ]] # fingers_r
    locs += [[  0.1272947, -0.0000005, -0.0000016 ]] 
    bqr += [[  0.9278346, -0.3729916,  0.0002846,  0.0002038 ]] # fingers2_r
    locs += [[  0.0511155,  0.0000001, -0.0000003 ]] 
    bqr += [[  0.9368007, -0.1916359,  0.0740285,  0.2831959 ]] # thumb_r
    locs += [[  0.0227248, -0.0028897,  0.0286010 ]] 
    bqr += [[  1.0000000,  0.0000002, -0.0000970, -0.0000001 ]] # thumb2_r
    locs += [[  0.0537060,  0.0000004,  0.0000003 ]] 
    bqr += [[  0.4788449,  0.5202955,  0.4788433, -0.5202972 ]] # control2_arm_l
    locs += [[  0.2909583,  0.0216489, -0.1869586 ]] 
    bqr += [[  0.6944212, -0.7190955,  0.0187687, -0.0181232 ]] # arm_l
    locs += [[ -0.0000010, -0.0000000,  0.0000000 ]] 
    bqr += [[  0.9995464,  0.0301153,  0.0001802, -0.0001944 ]] # forearm_l
    locs += [[  0.2988647, -0.0000002,  0.0000001 ]] 
    bqr += [[  0.7066831, -0.0263797, -0.7070252, -0.0043110 ]] # hand_l
    locs += [[  0.2343782,  0.0000000, -0.0000006 ]] 
    bqr += [[  0.9895645,  0.1440869,  0.0002640,  0.0009932 ]] # fingers_l
    locs += [[  0.1272909,  0.0000007,  0.0000000 ]] 
    bqr += [[  0.9280002,  0.3725783,  0.0001497, -0.0010256 ]] # fingers2_l
    locs += [[  0.0511223, -0.0000007, -0.0000003 ]] 
    bqr += [[  0.9373816,  0.1890583, -0.0639036,  0.2854630 ]] # thumb_l
    locs += [[  0.0226959,  0.0034887,  0.0285507 ]] 
    bqr += [[  0.9999999,  0.0000001, -0.0003092, -0.0000001 ]] # thumb2_l
    locs += [[  0.0537088,  0.0000002, -0.0000007 ]] 
    bqr += [[  0.0263516,  0.9996527,  0.0000346,  0.0000010 ]] # leg_r
    locs += [[  0.0398480,  0.0000121,  0.0989000 ]] 
    bqr += [[  0.9933020,  0.1155465, -0.0000021,  0.0000010 ]] # shin_r
    locs += [[  0.4310417,  0.0000008,  0.0000002 ]] 
    bqr += [[  0.8435887, -0.5369900,  0.0001757, -0.0000666 ]] # foot_r
    locs += [[  0.4066157, -0.0000012, -0.0000001 ]] 
    bqr += [[ -0.2379510, -0.9712772,  0.0002317,  0.0000905 ]] # toes_r
    locs += [[  0.1998798, -0.0000001, -0.0000000 ]] 
    bqr += [[  0.0262734,  0.9996548,  0.0000236,  0.0000012 ]] # leg_l
    locs += [[  0.0398480,  0.0000117, -0.0989000 ]] 
    bqr += [[  0.9933020,  0.1155472, -0.0000025,  0.0000015 ]] # shin_l
    locs += [[  0.4310422,  0.0000001, -0.0000004 ]] 
    bqr += [[  0.8434432, -0.5372184,  0.0000351, -0.0000870 ]] # foot_l
    locs += [[  0.4066148,  0.0000008,  0.0000003 ]] 
    bqr += [[ -0.2374976, -0.9713882,  0.0001621, -0.0001385 ]] # toes_l
    locs += [[  0.1998785, -0.0000005, -0.0000000 ]] 
    bqr += [[  0.9924272, -0.1228349, -0.0000102,  0.0000008 ]] # head
    locs += [[  0.0927546,  0.0000001, -0.0000001 ]]     
    compression =  1.0
def horse_bone_name_list():
    global bns,bqr,locs,compression,bone_parent_list
    bone_parent_list = []
    bone_parent_list += [-1] #  0 root
    bone_parent_list += [ 0] #  1 pelvis_l
    bone_parent_list += [ 0] #  2 pelvis_r
    bone_parent_list += [ 0] #  3 spine_saddle
    bone_parent_list += [ 0] #  4 tail_base
    bone_parent_list += [ 3] #  5 breathing_pp
    bone_parent_list += [ 1] #  6 hip_l
    bone_parent_list += [ 2] #  7 hip_r
    bone_parent_list += [ 3] #  8 spine_mid
    bone_parent_list += [ 4] #  9 tail_mid
    bone_parent_list += [ 6] # 10 femur_l
    bone_parent_list += [ 7] # 11 femur_r
    bone_parent_list += [ 5] # 12 rib_cage
    bone_parent_list += [ 8] # 13 shoulder_l
    bone_parent_list += [ 8] # 14 shoulder_r
    bone_parent_list += [ 8] # 15 spine_shoulder
    bone_parent_list += [ 9] # 16 tail_mid02
    bone_parent_list += [ 6] # 17 thigh_muscle_l
    bone_parent_list += [ 7] # 18 thigh_muscle_r
    bone_parent_list += [15] # 19 chest_fix
    bone_parent_list += [10] # 20 fibula_l
    bone_parent_list += [11] # 21 fibula_r
    bone_parent_list += [13] # 22 humerus_l
    bone_parent_list += [14] # 23 humerus_r
    bone_parent_list += [15] # 24 neck_base
    bone_parent_list += [12] # 25 saddle_bone_l
    bone_parent_list += [12] # 26 saddle_bone_r
    bone_parent_list += [13] # 27 shoulder_muscle_l
    bone_parent_list += [14] # 28 shoulder_muscle_r
    bone_parent_list += [20] # 29 fetlock_back_l
    bone_parent_list += [21] # 30 fetlock_back_r
    bone_parent_list += [24] # 31 neck_vert_03
    bone_parent_list += [22] # 32 radius_l
    bone_parent_list += [23] # 33 radius_r
    bone_parent_list += [25] # 34 stirrup_l
    bone_parent_list += [26] # 35 stirrup_r
    bone_parent_list += [32] # 36 carpal_front_l
    bone_parent_list += [33] # 37 carpal_front_r
    bone_parent_list += [29] # 38 hoof_back_l
    bone_parent_list += [30] # 39 hoof_back_r
    bone_parent_list += [31] # 40 neck_vert_02
    bone_parent_list += [36] # 41 fetlock_front_l
    bone_parent_list += [37] # 42 fetlock_front_r
    bone_parent_list += [40] # 43 neck_vert_01
    bone_parent_list += [43] # 44 head
    bone_parent_list += [41] # 45 hoof_front_l
    bone_parent_list += [42] # 46 hoof_front_r
    bone_parent_list += [43] # 47 neck_fix
    bone_parent_list += [44] # 48 ear_l
    bone_parent_list += [44] # 49 ear_r
    bone_parent_list += [44] # 50 jaw
    bone_parent_list += [50] # 51 reins_bit
    bone_parent_list += [50] # 52 reins_bit_l
    bone_parent_list += [51] # 53 reins_mid
    bone_parent_list += [52] # 54 reins_mid_l
    bone_parent_list += [53] # 55 rein
    bone_parent_list += [54] # 56 rein_l
    bone_parent_list += [55] # 57 rein_connection
    bone_parent_list += [56] # 58 rein_connection_l    
 #
 # make  a list of bone names in order
 #
    bns = []
    bns += ['root']                  #      0
    bns += ['pelvis_l']                #      1
    bns += ['pelvis_r']                   #      2
    bns += ['spine_saddle']                 #      3             
    bns += ['tail_base']                  #      4
    bns += ['breathing_pp']        #      5
    bns += ['hip_l']                 #      6
    bns += ['hip_r']             #      7
    bns += ['spine_mid']                #      8
    bns += ['tail_mid']             #      9
    bns += ['femur_l']            #     10
    bns += ['femur_r']               #     11
    bns += ['rib_cage']              #     12
    bns += ['shoulder_l']        #     13
    bns += ['shoulder_r']                 #     14
    bns += ['spine_shoulder']             #     15
    bns += ['tail_mid02']                #     16
    bns += ['thigh_muscle_l']             #     17
    bns += ['thigh_muscle_r']            #     18
    bns += ['chest_fix']               #     19
    bns += ['fibula_l']              #     20
    bns += ['fibula_r']                 #     21
    bns += ['humerus_l']                #     22
    bns += ['humerus_r']                #     23
    bns += ['neck_base']                #     24
    bns += ['saddle_bone_l']                 #     25
    bns += ['saddle_bone_r']                #     26
    bns += ['shoulder_muscle_l']                #     27
    bns += ['shoulder_muscle_r']                #     28
    bns += ['fetlock_back_l']                  #     29
    bns += ['fetlock_back_r']                  #     30
    bns += ['neck_vert_03']                    #     31
    bns += ['radius_l']                        #     32
    bns += ['radius_r']                        #     33
    bns += ['stirrup_l']                       #     34
    bns += ['stirrup_r']                       #     35
    bns += ['carpal_front_l']                  #     36
    bns += ['carpal_front_r']                  #     37
    bns += ['hoof_back_l']                     #     38
    bns += ['hoof_back_r']                     #     39
    bns += ['neck_vert_02']                    #     40
    bns += ['fetlock_front_l']                 #     41
    bns += ['fetlock_front_r']                 #     42
    bns += ['neck_vert_01']                    #     43
    bns += ['head']                            #     44
    bns += ['hoof_front_l']                    #     45
    bns += ['hoof_front_r']                    #     46
    bns += ['neck_fix']                        #     47
    bns += ['ear_l']                           #     48
    bns += ['ear_r']                           #     49
    bns += ['jaw']                             #     50
    bns += ['reins_bit']                       #     51
    bns += ['reins_bit_l']                     #     52
    bns += ['reins_mid']                       #     53
    bns += ['reins_mid_l']                     #     54
    bns += ['rein']                            #     55
    bns += ['rein_l']                          #     56
    bns += ['rein_connection']                 #     57
    bns += ['rein_connection_l']               #     58
    
# transforms for each bone to TMG rest pose
# Computed using mesh data  
    bqr = []
    locs = []
    bqr += [[  0.7042252, -0.0637716,  0.7042252, -0.0637716 ]] # root
    locs += [[ -0.5346010,  0.0023490,  1.4984339 ]] 
    bqr += [[  0.4392359, -0.8919610, -0.0961117,  0.0473288 ]] # pelvis_l
    locs += [[ -0.0027585, -0.0142320,  0.0450000 ]] 
    bqr += [[  0.4358146, -0.8850132,  0.1469131, -0.0723451 ]] # pelvis_r
    locs += [[ -0.0027585, -0.0142320, -0.0833280 ]] 
    bqr += [[  0.9995168,  0.0310843,  0.0000000,  0.0000000 ]] # spine_saddle
    locs += [[  0.3664583,  0.0000001, -0.0000000 ]] 
    bqr += [[  0.5064921, -0.8622416, -0.0021845, -0.0007988 ]] # tail_base
    locs += [[ -0.1982576,  0.0629070, -0.0023490 ]] 
    bqr += [[  0.0418504, -0.7058672, -0.7058672,  0.0418504 ]] # breathing_pp
    locs += [[  0.5833852,  0.2669535, -0.0062030 ]] 
    bqr += [[  0.7478985,  0.6526778,  0.0710862, -0.0980115 ]] # hip_l
    locs += [[  0.3842196, -0.0000006,  0.0000006 ]] 
    bqr += [[  0.7469339,  0.6427902, -0.0918984,  0.1430564 ]] # hip_r
    locs += [[  0.3966752, -0.0000006,  0.0000000 ]] 
    bqr += [[ -0.9566577, -0.2912149,  0.0000000,  0.0000000 ]] # spine_mid
    locs += [[  0.2759191,  0.0000005, -0.0000000 ]] 
    bqr += [[  0.9877449,  0.1560773, -0.0000686,  0.0000402 ]] # tail_mid
    locs += [[  0.2192189, -0.0000003,  0.0000006 ]] 
    bqr += [[  0.7836263, -0.6210179,  0.0089369,  0.0136643 ]] # femur_l
    locs += [[  0.4259896,  0.0070652,  0.0165767 ]] 
    bqr += [[  0.7964773, -0.6045687, -0.0095856, -0.0053644 ]] # femur_r
    locs += [[  0.4273529, -0.0043657, -0.0151469 ]] 
    bqr += [[  0.0706557, -0.7035661,  0.7035697,  0.0706557 ]] # rib_cage
    locs += [[  0.0052680, -0.0049020,  0.0514910 ]] 
    bqr += [[ -0.7791991,  0.6247079,  0.0164693, -0.0481406 ]] # shoulder_l
    locs += [[  0.2549520, -0.0007747,  0.0970000 ]] 
    bqr += [[ -0.7781432,  0.6271246, -0.0345274, -0.0039578 ]] # shoulder_r
    locs += [[  0.2549529, -0.0007743, -0.1084980 ]] 
    bqr += [[ -0.8101854,  0.5861737,  0.0000000,  0.0000000 ]] # spine_shoulder
    locs += [[  0.2427496,  0.0000012, -0.0000000 ]] 
    bqr += [[  0.9867823,  0.1620493, -0.0009666,  0.0002115 ]] # tail_mid02
    locs += [[  0.3393019, -0.0000098, -0.0000008 ]] 
    bqr += [[  0.0071852, -0.0582320, -0.9925650, -0.1066405 ]] # thigh_muscle_l
    locs += [[  0.0203434, -0.2401636,  0.1288621 ]] 
    bqr += [[ -0.1969878,  0.1671287, -0.9583139, -0.1220585 ]] # thigh_muscle_r
    locs += [[ -0.0064584, -0.2094968, -0.1176353 ]] 
    bqr += [[  0.0000000,  0.0000000, -0.9913000,  0.1316220 ]] # chest_fix
    locs += [[  0.5467932,  0.0315902, -0.0023490 ]] 
    bqr += [[  0.9198766,  0.3920082, -0.0006654, -0.0124998 ]] # fibula_l
    locs += [[  0.4461266, -0.0009077,  0.0075157 ]] 
    bqr += [[  0.9273940,  0.3739523,  0.0083776, -0.0054896 ]] # fibula_r
    locs += [[  0.4437360,  0.0048817, -0.0092623 ]] 
    bqr += [[  0.8129379, -0.5806589, -0.0202329, -0.0394709 ]] # humerus_l
    locs += [[  0.5293301,  0.0000000, -0.0000005 ]] 
    bqr += [[  0.8153225, -0.5773076, -0.0204245, -0.0393443 ]] # humerus_r
    locs += [[  0.5284423,  0.0000014, -0.0000002 ]] 
    bqr += [[ -0.5407354, -0.8411928, -0.0000004,  0.0000002 ]] # neck_base
    locs += [[  0.3404391, -0.0034547, -0.0000000 ]] 
    bqr += [[  0.2409728,  0.3265728, -0.4635768, -0.7876415 ]] # saddle_bone_l
    locs += [[  0.2390007,  0.0665313, -0.3093698 ]] 
    bqr += [[ -0.3373996, -0.1663408, -0.4624063, -0.8029151 ]] # saddle_bone_r
    locs += [[  0.2389979,  0.0665301,  0.3093712 ]] 
    bqr += [[  0.9952224, -0.0915191, -0.0216071, -0.0262600 ]] # shoulder_muscle_l
    locs += [[  0.0910687,  0.1058022,  0.1381022 ]] 
    bqr += [[  0.9940832, -0.0918026, -0.0434870, -0.0384672 ]] # shoulder_muscle_r
    locs += [[  0.0713861,  0.1208416, -0.1246982 ]] 
    bqr += [[  0.9938374,  0.1097069, -0.0120789, -0.0102815 ]] # fetlock_back_l
    locs += [[  0.3820416,  0.0064937,  0.0145425 ]] 
    bqr += [[  0.9940306,  0.1076103, -0.0062444,  0.0168608 ]] # fetlock_back_r
    locs += [[  0.3816155,  0.0044788, -0.0065181 ]] 
    bqr += [[  0.9922195, -0.1245015,  0.0000021,  0.0000009 ]] # neck_vert_03
    locs += [[  0.2422741, -0.0000001, -0.0000001 ]] 
    bqr += [[  0.9667962,  0.2419917, -0.0642617,  0.0511436 ]] # radius_l
    locs += [[  0.3124211,  0.0000000,  0.0000007 ]] 
    bqr += [[  0.9568828,  0.2814937, -0.0004848,  0.0716675 ]] # radius_r
    locs += [[  0.3124207, -0.0000002, -0.0000006 ]] 
    bqr += [[  0.9999260,  0.0013709,  0.0120996,  0.0002263 ]] # stirrup_l
    locs += [[  0.1585887,  0.0066248, -0.0191704 ]] 
    bqr += [[  0.9999740, -0.0029516, -0.0065614,  0.0004487 ]] # stirrup_r
    locs += [[  0.1587290, -0.0066132,  0.0206458 ]] 
    bqr += [[  1.0000000, -0.0002436,  0.0000012,  0.0000002 ]] # carpal_front_l
    locs += [[  0.3267414, -0.0000004,  0.0000002 ]] 
    bqr += [[  0.9947994, -0.1018541,  0.0000016,  0.0000028 ]] # carpal_front_r
    locs += [[  0.3267420, -0.0000005,  0.0000007 ]] 
    bqr += [[  0.9598045,  0.2798148, -0.0176801,  0.0128934 ]] # hoof_back_l
    locs += [[  0.0827685,  0.0013511,  0.0033507 ]] 
    bqr += [[  0.9617558,  0.2641848,  0.0023321,  0.0722962 ]] # hoof_back_r
    locs += [[  0.0827712,  0.0004902, -0.0019071 ]] 
    bqr += [[  0.9715428, -0.2368642,  0.0000056, -0.0000004 ]] # neck_vert_02
    locs += [[  0.2343683,  0.0000004,  0.0000006 ]] 
    bqr += [[  0.7194170,  0.2005681, -0.6360323,  0.1940994 ]] # fetlock_front_l
    locs += [[  0.3110885,  0.0000003, -0.0000004 ]] 
    bqr += [[  0.6814149,  0.2468428, -0.6391855,  0.2572629 ]] # fetlock_front_r
    locs += [[  0.3110882,  0.0000007, -0.0000000 ]] 
    bqr += [[ -0.9658051,  0.2592327, -0.0016629,  0.0040235 ]] # neck_vert_01
    locs += [[  0.2560867,  0.0000000, -0.0000008 ]] 
    bqr += [[  0.9006068, -0.4346008,  0.0030294,  0.0045288 ]] # head
    locs += [[  0.1496326, -0.0073315, -0.0000876 ]] 
    bqr += [[  0.6991325, -0.1030967, -0.6998641,  0.1038031 ]] # hoof_front_l
    locs += [[  0.1141326, -0.0000001,  0.0000004 ]] 
    bqr += [[  0.6999466, -0.1010278, -0.6997558,  0.1010444 ]] # hoof_front_r
    locs += [[  0.1141335, -0.0000007, -0.0000001 ]] 
    bqr += [[  0.0016742, -0.0040260, -0.8653591, -0.5011333 ]] # neck_fix
    locs += [[ -0.0620599,  0.1749055, -0.0026857 ]] 
    bqr += [[ -0.2870082, -0.5827187, -0.5467634,  0.5283135 ]] # ear_l
    locs += [[ -0.0259597, -0.0855131,  0.0517690 ]] 
    bqr += [[  0.2929513,  0.5424002, -0.5785828,  0.5340632 ]] # ear_r
    locs += [[ -0.0292673, -0.0842919, -0.0521571 ]] 
    bqr += [[  0.9986961,  0.0508172,  0.0034828, -0.0033715 ]] # jaw
    locs += [[  0.0687943,  0.1539037,  0.0017152 ]] 
    bqr += [[  0.4013025, -0.8619971,  0.2500757,  0.1826998 ]] # reins_bit
    locs += [[  0.4056493,  0.0488856, -0.1154547 ]] 
    bqr += [[  0.3844203, -0.8592157, -0.2751772, -0.1955678 ]] # reins_bit_l
    locs += [[  0.4066370,  0.0465103,  0.1001009 ]] 
    bqr += [[  0.9707216, -0.0889110,  0.0009184,  0.2231448 ]] # reins_mid
    locs += [[  0.2625398,  0.0000004,  0.0000007 ]] 
    bqr += [[  0.9710456, -0.0680257, -0.0006417, -0.2290037 ]] # reins_mid_l
    locs += [[  0.2650674,  0.0000009,  0.0000003 ]] 
    bqr += [[  0.9761673, -0.0684665, -0.0014770,  0.2059310 ]] # rein
    locs += [[  0.3297797, -0.0000005,  0.0000001 ]] 
    bqr += [[  0.9743971, -0.0518331, -0.0000362, -0.2187776 ]] # rein_l
    locs += [[  0.3304178,  0.0000004, -0.0000004 ]] 
    bqr += [[  0.9997156,  0.0098103, -0.0045421,  0.0212535 ]] # rein_connection
    locs += [[  0.2928846,  0.0000001, -0.0000001 ]] 
    bqr += [[  0.9996623,  0.0080837,  0.0045825, -0.0242673 ]] # rein_connection_l
    locs += [[  0.2934282, -0.0000001, -0.0000003 ]] 
#
# dog bonelist data
#
def dog_bone_name_list():
    global bns,bqr,locs,compression,bone_parent_list

    bone_parent_list = []
    bone_parent_list += [-1] #  0 root
    bone_parent_list += [ 0] #  1 hip_l
    bone_parent_list += [ 0] #  2 hip_r
    bone_parent_list += [ 0] #  3 spine_saddle
    bone_parent_list += [ 0] #  4 tail_base
    bone_parent_list += [ 3] #  5 breathing_pp
    bone_parent_list += [ 1] #  6 femur_l
    bone_parent_list += [ 2] #  7 femur_r
    bone_parent_list += [ 3] #  8 spine_mid
    bone_parent_list += [ 4] #  9 tail_mid
    bone_parent_list += [ 6] # 10 fibula_l
    bone_parent_list += [ 7] # 11 fibula_r
    bone_parent_list += [ 8] # 12 spine_shoulder
    bone_parent_list += [ 9] # 13 tail_mid02
    bone_parent_list += [12] # 14 chest_weight
    bone_parent_list += [12] # 15 neck_vert03
    bone_parent_list += [11] # 16 paw_back_r
    bone_parent_list += [10] # 17 paw_ball_l
    bone_parent_list += [12] # 18 shoulder_l_new
    bone_parent_list += [12] # 19 shoulder_r
    bone_parent_list += [18] # 20 humerus_l_new
    bone_parent_list += [19] # 21 humerus_r
    bone_parent_list += [15] # 22 neck_vert_02
    bone_parent_list += [16] # 23 paw_back_toe_r
    bone_parent_list += [17] # 24 paw_toe_l
    bone_parent_list += [21] # 25 carpal_front_r
    bone_parent_list += [22] # 26 neck_vert_01
    bone_parent_list += [20] # 27 radius_l
    bone_parent_list += [26] # 28 head
    bone_parent_list += [26] # 29 neck_weight
    bone_parent_list += [27] # 30 ulna_front_l
    bone_parent_list += [25] # 31 ulna_front_r
    bone_parent_list += [28] # 32 bone04
    bone_parent_list += [28] # 33 bone06
    bone_parent_list += [28] # 34 bone08
    bone_parent_list += [28] # 35 bone10
    bone_parent_list += [28] # 36 ear_l
    bone_parent_list += [28] # 37 ear_r
    bone_parent_list += [28] # 38 eye_l
    bone_parent_list += [28] # 39 eye_r
    bone_parent_list += [28] # 40 eyebrow
    bone_parent_list += [28] # 41 jaw
    bone_parent_list += [28] # 42 nose_base
    bone_parent_list += [30] # 43 paw_front_l
    bone_parent_list += [31] # 44 paw_front_r
    bone_parent_list += [36] # 45 ear_pp_l
    bone_parent_list += [37] # 46 ear_pp_r
    bone_parent_list += [42] # 47 nose_mid
    bone_parent_list += [43] # 48 paw_ball_front_l
    bone_parent_list += [44] # 49 paw_ball_front_r
    bone_parent_list += [41] # 50 tounge_root
    bone_parent_list += [50] # 51 toungue_mid
    
    bns = []
    bns += ['root']
    bns += ['hip_l']
    bns += ['hip_r']
    bns += ['spine_saddle']
    bns += ['tail_base']
    bns += ['breathing_pp']
    bns += ['femur_l']
    bns += ['femur_r']
    bns += ['spine_mid']
    bns += ['tail_mid']
    bns += ['fibula_l']
    bns += ['fibula_r']
    bns += ['spine_shoulder']
    bns += ['tail_mid02']
    bns += ['chest_weight']
    bns += ['neck_vert03']
    bns += ['paw_back_r']
    bns += ['paw_ball_l']
    bns += ['shoulder_l_new']
    bns += ['shoulder_r']
    bns += ['humerus_l_new']
    bns += ['humerus_r']
    bns += ['neck_vert_02']
    bns += ['paw_back_toe_r']
    bns += ['paw_toe_l']
    bns += ['carpal_front_r']
    bns += ['neck_vert_01']
    bns += ['radius_l']
    bns += ['head']
    bns += ['neck_weight']
    bns += ['ulna_front_l']
    bns += ['ulna_front_r']
    bns += ['bone04']
    bns += ['bone06']
    bns += ['bone08']
    bns += ['bone10']
    bns += ['ear_l']
    bns += ['ear_r']
    bns += ['eye_l']
    bns += ['eye_r']
    bns += ['eyebrow']
    bns += ['jaw']
    bns += ['nose_base']
    bns += ['paw_front_l']
    bns += ['paw_front_r']
    bns += ['ear_pp_l']
    bns += ['ear_pp_r']
    bns += ['nose_mid']
    bns += ['paw_ball_front_l']
    bns += ['paw_ball_front_r']
    bns += ['tounge_root']
    bns += ['toungue_mid']
    bqr = []
    locs = []
    bqr += [[  0.7049695, -0.0547091,  0.7064268, -0.0314030 ]] # root
    locs += [[ -0.3223840,  0.0017620,  0.6899590 ]] 
    bqr += [[  0.8289771, -0.5508030, -0.0944112,  0.0223516 ]] # hip_l
    locs += [[  0.0158597,  0.0160155,  0.0442935 ]] 
    bqr += [[  0.8375751, -0.5348098, -0.0289120, -0.1077517 ]] # hip_r
    locs += [[  0.0126542,  0.0164130, -0.0534751 ]] 
    bqr += [[  0.9996496,  0.0242010, -0.0007121, -0.0107017 ]] # spine_saddle
    locs += [[  0.1769403,  0.0000010, -0.0000001 ]] 
    bqr += [[  0.1887553, -0.6933692,  0.1621861,  0.6762443 ]] # tail_base
    locs += [[ -0.0936836,  0.0327593, -0.0003752 ]] 
    bqr += [[  0.0506192, -0.7046435, -0.7063709,  0.0442191 ]] # breathing_pp
    locs += [[  0.2783234,  0.1273595, -0.0029144 ]] 
    bqr += [[  0.8642883, -0.4790458, -0.0213831, -0.1518677 ]] # femur_l
    locs += [[  0.2657018,  0.0042497,  0.0090085 ]] 
    bqr += [[  0.8527868, -0.5145316,  0.0841528,  0.0304988 ]] # femur_r
    locs += [[  0.2685626,  0.0049291,  0.0102840 ]] 
    bqr += [[ -0.9610630, -0.2760797, -0.0020478,  0.0115630 ]] # spine_mid
    locs += [[  0.1870889, -0.0000004, -0.0000007 ]] 
    bqr += [[  0.9819013,  0.0162119, -0.0063054,  0.1885930 ]] # tail_mid
    locs += [[  0.1045855,  0.0000004, -0.0000009 ]] 
    bqr += [[  0.9239648,  0.3785191,  0.0361635,  0.0412863 ]] # fibula_l
    locs += [[  0.2300939, -0.0013878,  0.0061852 ]] 
    bqr += [[  0.9238386,  0.3825442,  0.0033169, -0.0130874 ]] # fibula_r
    locs += [[  0.2303312, -0.0009348,  0.0038609 ]] 
    bqr += [[ -0.8518843,  0.5237302,  0.0001374,  0.0000896 ]] # spine_shoulder
    locs += [[  0.1158110,  0.0000026, -0.0000000 ]] 
    bqr += [[  0.9856567, -0.0196640, -0.0064001,  0.1674913 ]] # tail_mid02
    locs += [[  0.1618752, -0.0000053, -0.0000000 ]] 
    bqr += [[  0.0001734, -0.0000841, -0.9913001,  0.1316216 ]] # chest_weight
    locs += [[  0.2266226, -0.0331688, -0.0097942 ]] 
    bqr += [[ -0.5408038, -0.8411488, -0.0000930, -0.0001365 ]] # neck_vert03
    locs += [[  0.1623669, -0.0016477, -0.0000003 ]] 
    bqr += [[ -0.8005568, -0.5806524, -0.1288900,  0.0730680 ]] # paw_back_r
    locs += [[  0.2212252,  0.0050376,  0.0083809 ]] 
    bqr += [[  0.7978718,  0.5976790, -0.0738301,  0.0270090 ]] # paw_ball_l
    locs += [[  0.2209452,  0.0025107,  0.0102602 ]] 
    bqr += [[  0.9946059, -0.0950185, -0.0135204,  0.0393429 ]] # shoulder_l_new
    locs += [[  0.0000716, -0.0084403,  0.0462799 ]] 
    bqr += [[  0.0532431,  0.0359000, -0.9943119, -0.0849731 ]] # shoulder_r
    locs += [[  0.0015899, -0.0063303, -0.0517607 ]] 
    bqr += [[  0.7844671, -0.6185654, -0.0180217, -0.0407845 ]] # humerus_l_new
    locs += [[  0.2875392, -0.0000000, -0.0000002 ]] 
    bqr += [[  0.7926722,  0.6052659,  0.0143887, -0.0715331 ]] # humerus_r
    locs += [[  0.2854149,  0.0000001, -0.0000003 ]] 
    bqr += [[  0.9922194, -0.1245013,  0.0000013,  0.0000027 ]] # neck_vert_02
    locs += [[  0.1155856, -0.0000003,  0.0000003 ]] 
    bqr += [[  0.9986084, -0.0447358,  0.0279288, -0.0000564 ]] # paw_back_toe_r
    locs += [[  0.0353799,  0.0006878, -0.0008320 ]] 
    bqr += [[  0.9979902, -0.0562878, -0.0193077,  0.0217841 ]] # paw_toe_l
    locs += [[  0.0354470,  0.0008115, -0.0000948 ]] 
    bqr += [[  0.8884345, -0.2375232, -0.3746734, -0.1178418 ]] # carpal_front_r
    locs += [[  0.1490514, -0.0000005,  0.0000003 ]] 
    bqr += [[  0.9714233, -0.2368345, -0.0037136,  0.0152541 ]] # neck_vert_01
    locs += [[  0.1118124,  0.0000006, -0.0000004 ]] 
    bqr += [[  0.9020256,  0.2675872,  0.3266909, -0.0895547 ]] # radius_l
    locs += [[  0.1476745, -0.0000001,  0.0000000 ]] 
    bqr += [[ -0.9163879,  0.4000305, -0.0050034,  0.0135613 ]] # head
    locs += [[  0.1221745,  0.0000003,  0.0000001 ]] 
    bqr += [[  0.0000651,  0.0000715,  0.7108773,  0.7033162 ]] # neck_weight
    locs += [[  0.0155848,  0.0807252, -0.0013352 ]] 
    bqr += [[  0.9999967, -0.0001430,  0.0025720,  0.0000940 ]] # ulna_front_l
    locs += [[  0.2149464, -0.0000002,  0.0000002 ]] 
    bqr += [[  0.9999905,  0.0001562, -0.0043510,  0.0000785 ]] # ulna_front_r
    locs += [[  0.2141008, -0.0000001, -0.0000004 ]] 
    bqr += [[ -0.1884278, -0.9627722,  0.1890927,  0.0425271 ]] # bone04
    locs += [[  0.2097399,  0.0443012, -0.0188274 ]] 
    bqr += [[  0.2010029, -0.9741277,  0.0604411,  0.0837845 ]] # bone06
    locs += [[  0.1524344,  0.0498439, -0.0337409 ]] 
    bqr += [[ -0.1494684, -0.9479365, -0.2115375,  0.1852772 ]] # bone08
    locs += [[  0.2051475,  0.0440655,  0.0260553 ]] 
    bqr += [[  0.2075176, -0.9738022, -0.0479800,  0.0796476 ]] # bone10
    locs += [[  0.1474993,  0.0490178,  0.0397895 ]] 
    bqr += [[  0.2109228, -0.4223867, -0.8687479, -0.1495932 ]] # ear_l
    locs += [[ -0.0234104, -0.0361897,  0.0535566 ]] 
    bqr += [[ -0.1509276,  0.4353994, -0.8779274, -0.1299683 ]] # ear_r
    locs += [[ -0.0211645, -0.0324552, -0.0598992 ]] 
    bqr += [[ -0.7114291, -0.0559430, -0.6988988,  0.0477448 ]] # eye_l
    locs += [[  0.0857945, -0.0185146,  0.0413546 ]] 
    bqr += [[ -0.7114291, -0.0559430, -0.6988988,  0.0477448 ]] # eye_r
    locs += [[  0.0874024, -0.0168975, -0.0421303 ]] 
    bqr += [[ -0.2433898, -0.6678756, -0.2135877,  0.6701373 ]] # eyebrow
    locs += [[  0.0885642, -0.0302081, -0.0016485 ]] 
    bqr += [[  0.9993088, -0.0326009, -0.0106385, -0.0143510 ]] # jaw
    locs += [[  0.0562610,  0.0884717, -0.0030430 ]] 
    bqr += [[ -0.0074802, -0.0161272, -0.9997782,  0.0112955 ]] # nose_base
    locs += [[  0.1055037, -0.0196528, -0.0030156 ]] 
    bqr += [[  0.1901913,  0.2004045, -0.9596958,  0.0514709 ]] # paw_front_l
    locs += [[  0.1069291, -0.0000001,  0.0000005 ]] 
    bqr += [[  0.1966740, -0.1332199,  0.9595077,  0.1513829 ]] # paw_front_r
    locs += [[  0.1091660,  0.0000002,  0.0000003 ]] 
    bqr += [[  0.9233943,  0.3708790, -0.0910337,  0.0387918 ]] # ear_pp_l
    locs += [[  0.0670172,  0.0000003,  0.0000005 ]] 
    bqr += [[  0.8976260,  0.4337825, -0.0754613, -0.0201476 ]] # ear_pp_r
    locs += [[  0.0669834,  0.0000001, -0.0000003 ]] 
    bqr += [[  0.9999999,  0.0003877, -0.0000572, -0.0000003 ]] # nose_mid
    locs += [[  0.0328107,  0.0000002,  0.0000005 ]] 
    bqr += [[  0.7751740, -0.4495575, -0.4195480,  0.1448547 ]] # paw_ball_front_l
    locs += [[  0.0438987, -0.0000007,  0.0000003 ]] 
    bqr += [[  0.4712434, -0.2015840, -0.7828478,  0.3527647 ]] # paw_ball_front_r
    locs += [[  0.0373674,  0.0000004,  0.0000005 ]] 
    bqr += [[  0.9996866,  0.0040150,  0.0021089,  0.0246190 ]] # tounge_root
    locs += [[  0.0399654, -0.0129178,  0.0061908 ]] 
    bqr += [[  0.9996517,  0.0263926,  0.0000004,  0.0000015 ]] # toungue_mid
    locs += [[  0.0563610, -0.0000004,  0.0000001 ]] 
    compression = 1.0
#
# cow bonelist data
#
def cow_bone_name_list():
    global bns,bqr,locs,compression,bone_parent_list

    bone_parent_list = []
    bone_parent_list += [-1] #  0 root
    bone_parent_list += [ 0] #  1 spine00
    bone_parent_list += [ 0] #  2 spine01
    bone_parent_list += [ 1] #  3 hudder
    bone_parent_list += [ 1] #  4 pelvis_l
    bone_parent_list += [ 1] #  5 pelvis_r
    bone_parent_list += [ 2] #  6 spine02
    bone_parent_list += [ 1] #  7 tail01
    bone_parent_list += [ 4] #  8 hip_l
    bone_parent_list += [ 5] #  9 hip_r
    bone_parent_list += [ 6] # 10 rib_cage
    bone_parent_list += [ 6] # 11 spine03
    bone_parent_list += [ 7] # 12 tail02
    bone_parent_list += [ 8] # 13 femur_l
    bone_parent_list += [ 9] # 14 femur_r
    bone_parent_list += [11] # 15 shoulder_l
    bone_parent_list += [11] # 16 shoulder_r
    bone_parent_list += [11] # 17 spine_shoulder
    bone_parent_list += [12] # 18 tail03
    bone_parent_list += [ 8] # 19 thigh_muscle_l
    bone_parent_list += [ 9] # 20 thigh_muscle_r
    bone_parent_list += [13] # 21 fibula_l
    bone_parent_list += [14] # 22 fibula_r
    bone_parent_list += [15] # 23 humerus_l
    bone_parent_list += [16] # 24 humerus_r
    bone_parent_list += [17] # 25 neck_pivot
    bone_parent_list += [15] # 26 shoulder_muscle_l
    bone_parent_list += [16] # 27 shoulder_muscle_r
    bone_parent_list += [18] # 28 tail04
    bone_parent_list += [21] # 29 fetlock_back_l
    bone_parent_list += [22] # 30 fetlock_back_r
    bone_parent_list += [25] # 31 midgowell03
    bone_parent_list += [25] # 32 neck_vert03
    bone_parent_list += [23] # 33 radius_l
    bone_parent_list += [24] # 34 radius_r
    bone_parent_list += [28] # 35 tail05
    bone_parent_list += [33] # 36 carpal_front_l
    bone_parent_list += [34] # 37 carpal_front_r
    bone_parent_list += [29] # 38 hoof_back_l
    bone_parent_list += [30] # 39 hoof_back_r
    bone_parent_list += [32] # 40 neck_vert02
    bone_parent_list += [36] # 41 fetlock_front_l
    bone_parent_list += [37] # 42 fetlock_front_r
    bone_parent_list += [40] # 43 neck_vert01
    bone_parent_list += [43] # 44 bone05
    bone_parent_list += [43] # 45 head
    bone_parent_list += [41] # 46 hoof_front_l
    bone_parent_list += [42] # 47 hoof_front_r
    bone_parent_list += [45] # 48 ear_l
    bone_parent_list += [45] # 49 ear_r
    bone_parent_list += [45] # 50 jaw
    
    bns = []
    bns += ['root']
    bns += ['spine00']
    bns += ['spine01']
    bns += ['hudder']
    bns += ['pelvis_l']
    bns += ['pelvis_r']
    bns += ['spine02']
    bns += ['tail01']
    bns += ['hip_l']
    bns += ['hip_r']
    bns += ['rib_cage']
    bns += ['spine03']
    bns += ['tail02']
    bns += ['femur_l']
    bns += ['femur_r']
    bns += ['shoulder_l']
    bns += ['shoulder_r']
    bns += ['spine_shoulder']
    bns += ['tail03']
    bns += ['thigh_muscle_l']
    bns += ['thigh_muscle_r']
    bns += ['fibula_l']
    bns += ['fibula_r']
    bns += ['humerus_l']
    bns += ['humerus_r']
    bns += ['neck_pivot']
    bns += ['shoulder_muscle_l']
    bns += ['shoulder_muscle_r']
    bns += ['tail04']
    bns += ['fetlock_back_l']
    bns += ['fetlock_back_r']
    bns += ['midgowell03']
    bns += ['neck_vert03']
    bns += ['radius_l']
    bns += ['radius_r']
    bns += ['tail05']
    bns += ['carpal_front_l']
    bns += ['carpal_front_r']
    bns += ['hoof_back_l']
    bns += ['hoof_back_r']
    bns += ['neck_vert02']
    bns += ['fetlock_front_l']
    bns += ['fetlock_front_r']
    bns += ['neck_vert01']
    bns += ['bone05']
    bns += ['head']
    bns += ['hoof_front_l']
    bns += ['hoof_front_r']
    bns += ['ear_l']
    bns += ['ear_r']
    bns += ['jaw']
    bqr = []
    locs = []
    bqr += [[  0.9988164, -0.0005812,  0.0025447, -0.0485716 ]] # root
    locs += [[ -0.4795520, -0.0067940,  1.4084359 ]] 
    bqr += [[ -0.0505911, -0.7071142, -0.0509739, -0.7034428 ]] # spine00
    locs += [[ -0.0013979, -0.0004189,  0.0000384 ]] 
    bqr += [[  1.0000001,  0.0000000,  0.0000000,  0.0000000 ]] # spine01
    locs += [[  0.0000000,  0.0000000,  0.0000000 ]] 
    bqr += [[ -0.0000007, -0.0000008, -0.6393806,  0.7688906 ]] # hudder
    locs += [[  0.0803202, -0.6505927,  0.0032082 ]] 
    bqr += [[  0.9207682,  0.3661969,  0.0496987,  0.1249634 ]] # pelvis_l
    locs += [[  0.1686261,  0.0317090,  0.1140242 ]] 
    bqr += [[  0.9212024,  0.3665184, -0.0472617, -0.1217235 ]] # pelvis_r
    locs += [[  0.1686261,  0.0317080, -0.1153238 ]] 
    bqr += [[ -0.0054881, -0.0725170, -0.9973515,  0.0011019 ]] # spine02
    locs += [[  0.2526473,  0.0000001, -0.0000004 ]] 
    bqr += [[  0.9751528,  0.2214736,  0.0034895, -0.0037840 ]] # tail01
    locs += [[  0.4210429, -0.0041464, -0.0050186 ]] 
    bqr += [[  0.7092099,  0.7040595,  0.0313828, -0.0183510 ]] # hip_l
    locs += [[  0.3645299, -0.0000000, -0.0000006 ]] 
    bqr += [[  0.7095022,  0.7046395,  0.0010401, -0.0094077 ]] # hip_r
    locs += [[  0.3633806,  0.0000010,  0.0000006 ]] 
    bqr += [[  0.0230086, -0.6816342,  0.0274301, -0.7308167 ]] # rib_cage
    locs += [[  0.5137016,  0.0187937,  0.4818282 ]] 
    bqr += [[  0.9895024, -0.0016811,  0.0072309, -0.1443255 ]] # spine03
    locs += [[  0.2889528, -0.0000000, -0.0000004 ]] 
    bqr += [[  0.8692480,  0.4943660, -0.0029331, -0.0012948 ]] # tail02
    locs += [[  0.2295480,  0.0000002, -0.0000005 ]] 
    bqr += [[  0.7920766, -0.5709206,  0.2156240, -0.0130595 ]] # femur_l
    locs += [[  0.4656629, -0.0000049, -0.0000000 ]] 
    bqr += [[  0.8047328, -0.5591788, -0.1896345,  0.0613413 ]] # femur_r
    locs += [[  0.4661230,  0.0000043, -0.0000006 ]] 
    bqr += [[ -0.5457315,  0.3540982,  0.6247375, -0.4318503 ]] # shoulder_l
    locs += [[  0.2024043, -0.1014818, -0.0351570 ]] 
    bqr += [[ -0.5987480,  0.4506831,  0.5741976, -0.3296706 ]] # shoulder_r
    locs += [[  0.2035938,  0.0999310, -0.0335689 ]] 
    bqr += [[ -0.5674443,  0.4133808,  0.5831850, -0.4086792 ]] # spine_shoulder
    locs += [[  0.2512913, -0.0001734, -0.0042867 ]] 
    bqr += [[  0.9999731,  0.0073029,  0.0003775,  0.0005315 ]] # tail03
    locs += [[  0.2958500, -0.0000050,  0.0000007 ]] 
    bqr += [[  0.1322598, -0.0562276, -0.9878707, -0.0587996 ]] # thigh_muscle_l
    locs += [[  0.0853876, -0.1653968,  0.2221073 ]] 
    bqr += [[ -0.1372615, -0.0025712, -0.9888992, -0.0568407 ]] # thigh_muscle_r
    locs += [[  0.1045982, -0.1545073, -0.2222336 ]] 
    bqr += [[  0.9230788,  0.3488699, -0.1587275, -0.0319526 ]] # fibula_l
    locs += [[  0.4336902,  0.0003170,  0.0020898 ]] 
    bqr += [[  0.9267477,  0.3446472,  0.1495001,  0.0025688 ]] # fibula_r
    locs += [[  0.4337189,  0.0104516,  0.0000034 ]] 
    bqr += [[  0.7665059, -0.6421145,  0.0112818,  0.0055126 ]] # humerus_l
    locs += [[  0.6437758,  0.0000004, -0.0000010 ]] 
    bqr += [[  0.7674503, -0.6409436,  0.0079191, -0.0121970 ]] # humerus_r
    locs += [[  0.6417677,  0.0000002, -0.0000002 ]] 
    bqr += [[ -0.3300741, -0.9438420, -0.0115286, -0.0089696 ]] # neck_pivot
    locs += [[  0.7027128,  0.0324537, -0.0051263 ]] 
    bqr += [[  0.9909639, -0.1232907, -0.0042326, -0.0526504 ]] # shoulder_muscle_l
    locs += [[  0.1206026,  0.0506973,  0.2655829 ]] 
    bqr += [[  0.0053606, -0.0209275, -0.9947515, -0.1000144 ]] # shoulder_muscle_r
    locs += [[  0.1366172,  0.0444643, -0.2266713 ]] 
    bqr += [[  0.9988130,  0.0485092,  0.0043683, -0.0006723 ]] # tail04
    locs += [[  0.2717785, -0.0000004,  0.0000000 ]] 
    bqr += [[  0.9926853,  0.1178853, -0.0065938,  0.0252111 ]] # fetlock_back_l
    locs += [[  0.3777244, -0.0000000, -0.0000003 ]] 
    bqr += [[  0.9940593,  0.1040930, -0.0023310, -0.0317045 ]] # fetlock_back_r
    locs += [[  0.3777249,  0.0000003, -0.0000005 ]] 
    bqr += [[ -0.3414436,  0.9328873,  0.1070131, -0.0410570 ]] # midgowell03
    locs += [[  0.0097262,  0.1248907,  0.0057525 ]] 
    bqr += [[  0.9517630, -0.3068345,  0.0000001,  0.0000006 ]] # neck_vert03
    locs += [[  0.2648505, -0.0000008,  0.0000005 ]] 
    bqr += [[  0.9047979,  0.4042740, -0.0810702, -0.1064472 ]] # radius_l
    locs += [[  0.3327835, -0.0000002, -0.0000000 ]] 
    bqr += [[  0.9009187,  0.4141845,  0.0904615,  0.0928100 ]] # radius_r
    locs += [[  0.3339213, -0.0003973, -0.0003505 ]] 
    bqr += [[  0.9914418,  0.1129576,  0.0650289, -0.0074088 ]] # tail05
    locs += [[  0.2713119, -0.0000044, -0.0000005 ]] 
    bqr += [[  0.9773377, -0.2091429, -0.0067158,  0.0320200 ]] # carpal_front_l
    locs += [[  0.3313786,  0.0000007,  0.0000002 ]] 
    bqr += [[  0.9794961, -0.1982398,  0.0071574, -0.0351734 ]] # carpal_front_r
    locs += [[  0.3312906, -0.0000000,  0.0000002 ]] 
    bqr += [[  0.9602777,  0.2770104, -0.0022509,  0.0335683 ]] # hoof_back_l
    locs += [[  0.0830729, -0.0005527, -0.0009675 ]] 
    bqr += [[  0.9605517,  0.2775294, -0.0069810, -0.0164040 ]] # hoof_back_r
    locs += [[  0.0830358, -0.0008388, -0.0005836 ]] 
    bqr += [[  0.9998189, -0.0174674, -0.0066188, -0.0036392 ]] # neck_vert02
    locs += [[  0.1957766,  0.0000001, -0.0000001 ]] 
    bqr += [[  0.9272398,  0.3734055,  0.0105333,  0.0261493 ]] # fetlock_front_l
    locs += [[  0.2442244, -0.0009091, -0.0004779 ]] 
    bqr += [[  0.9203069,  0.3909052, -0.0047518, -0.0143398 ]] # fetlock_front_r
    locs += [[  0.2446330, -0.0013593,  0.0009058 ]] 
    bqr += [[  0.9969622, -0.0778861,  0.0000002, -0.0000002 ]] # neck_vert01
    locs += [[  0.1763564, -0.0000001, -0.0000000 ]] 
    bqr += [[ -0.7121686,  0.7011299, -0.0091575,  0.0338974 ]] # bone05
    locs += [[ -0.1927097,  0.3185665,  0.0091005 ]] 
    bqr += [[ -0.7517577,  0.6594234, -0.0042336, -0.0017423 ]] # head
    locs += [[  0.2033138, -0.0075456,  0.0024966 ]] 
    bqr += [[  0.9880066,  0.1544036,  0.0002501,  0.0014940 ]] # hoof_front_l
    locs += [[  0.1141326, -0.0000006,  0.0000003 ]] 
    bqr += [[  0.9975605,  0.0697979, -0.0002578,  0.0010389 ]] # hoof_front_r
    locs += [[  0.1141328, -0.0000001, -0.0000001 ]] 
    bqr += [[  0.2598989, -0.4902192, -0.7908238,  0.2583320 ]] # ear_l
    locs += [[  0.1158397,  0.0341349,  0.1671892 ]] 
    bqr += [[ -0.4568709,  0.5033915, -0.6896387,  0.2495281 ]] # ear_r
    locs += [[  0.1203879,  0.0351294, -0.1561468 ]] 
    bqr += [[  0.9923376,  0.1234821,  0.0030547, -0.0029730 ]] # jaw
    locs += [[  0.0417059,  0.1800850,  0.0019154 ]] 
def baby_bone_name_list():
    global bns,bqr,locs,bone_parent_list
    bone_parent_list = [-1,0,1]
    bns = []
    bns += ['bone01']
    bns += ['bone02']
    bns += ['bone03']
    bqr = []
    locs = []
    bqr += [[  1.0000000,  0.0000000,  0.0000000,  0.0000000 ]] # bone01
    locs += [[  0.0000000,  0.0000000,  0.0000000 ]] 
    bqr += [[  1.0000000,  0.0002320,  0.0000000,  0.0000000 ]] # bone02
    locs += [[  0.2370180,  0.0000003,  0.0000000 ]] 
    bqr += [[  0.9999135,  0.0131541,  0.0000000,  0.0000000 ]] # bone03
    locs += [[  0.1382980,  0.0000001,  0.0000000 ]] 

def bone_name_list(nbones):
    if nbones == 3:
        baby_bone_name_list()
    elif nbones == 30:
        costume_bone_name_list()
    elif nbones == 51:
        cow_bone_name_list()
    elif nbones == 52:
        dog_bone_name_list()        
    elif nbones == 59:
        horse_bone_name_list()
    else:
        raise ValueError('Unknown armature. Defaulting to costume')
        
        
        
